<p-panel header="{{'mpmApp.salesUnitRequirement.home.title' | translate}}" *ngIf="!editPage">
    <p-tabView>
        <p-tabPanel header="Not Required">
            <jhi-sales-unit-requirement-for-prospect-by-approval
                [idProspect] = "idProspect"
                [status]="baseConstants.Status.STATUS_NOT_REQUIRED"
                (fnEdit) = "edit($event)"
                *ngIf="statusOne"
            ></jhi-sales-unit-requirement-for-prospect-by-approval>
            <jhi-fetching-data 
                *ngIf="!statusOne"
            ></jhi-fetching-data>
        </p-tabPanel>
        <p-tabPanel header="Waiting For Approval">
            <jhi-sales-unit-requirement-for-prospect-by-approval
                [idProspect] = "idProspect"
                [status]="baseConstants.Status.STATUS_WAITING_FOR_APPROVAL"
                (fnEdit) = "edit($event)"
                *ngIf="statusTwo">
            </jhi-sales-unit-requirement-for-prospect-by-approval>
            <jhi-fetching-data 
                *ngIf="!statusTwo"
            ></jhi-fetching-data>
        </p-tabPanel>
        <p-tabPanel header="Not Approved">
            <jhi-sales-unit-requirement-for-prospect-by-approval
                [idProspect] = "idProspect"
                [status]="baseConstants.Status.STATUS_REJECTED"
                (fnEdit) = "edit($event)"
                *ngIf="statusThree">
            </jhi-sales-unit-requirement-for-prospect-by-approval>
            <jhi-fetching-data 
                *ngIf="!statusThree"
            ></jhi-fetching-data>
        </p-tabPanel>
        <p-tabPanel header="Approved">
            <jhi-sales-unit-requirement-for-prospect-by-approval
                [idProspect] = "idProspect"
                [status]="baseConstants.Status.STATUS_APPROVED"
                (fnEdit) = "edit($event)"
                *ngIf="statusFour">
            </jhi-sales-unit-requirement-for-prospect-by-approval>
            <jhi-fetching-data 
                *ngIf="!statusFour"
            ></jhi-fetching-data>
        </p-tabPanel>
    </p-tabView>
    <p-footer>
        <button pButton type="button" (click)="backToProspect()" label="{{'entity.action.back' | translate}}" class="ui-button-danger flat-label-button">
        </button>
    </p-footer>
</p-panel>
<div style="margin-top: 10px;"></div>

<jhi-sales-unit-requirement-for-prospect-edit 
    *ngIf="editPage"
    [idReq]="salesUnitRequirement.idRequirement"
    (fnPreviousState)="previousState()"
></jhi-sales-unit-requirement-for-prospect-edit>
